Bug 1054088 - [abrt] nxagent: XPeekEvent(): nxagent killed by SIGSEGV
Summary: [abrt] nxagent: XPeekEvent(): nxagent killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nx-libs
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6e5c2c4673a6bd6ff5e5db07587...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 08:31 UTC by Yajo
Modified: 2015-02-18 11:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:01:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (30.00 KB, text/plain)
2014-01-16 08:31 UTC, Yajo
no flags Details
File: cgroup (159 bytes, text/plain)
2014-01-16 08:31 UTC, Yajo
no flags Details
File: core_backtrace (3.43 KB, text/plain)
2014-01-16 08:31 UTC, Yajo
no flags Details
File: dso_list (2.45 KB, text/plain)
2014-01-16 08:31 UTC, Yajo
no flags Details
File: environ (1.20 KB, text/plain)
2014-01-16 08:31 UTC, Yajo
no flags Details
File: exploitable (109 bytes, text/plain)
2014-01-16 08:31 UTC, Yajo
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-16 08:31 UTC, Yajo
no flags Details
File: maps (25.73 KB, text/plain)
2014-01-16 08:31 UTC, Yajo
no flags Details
File: open_fds (170 bytes, text/plain)
2014-01-16 08:31 UTC, Yajo
no flags Details
File: proc_pid_status (1001 bytes, text/plain)
2014-01-16 08:31 UTC, Yajo
no flags Details
File: var_log_messages (337 bytes, text/plain)
2014-01-16 08:31 UTC, Yajo
no flags Details

Description Yajo 2014-01-16 08:31:21 UTC
Description of problem:
On a remote NX session through Remmina, I pressed Ctrl+Alt+F and session got killed.

Version-Release number of selected component:
nxagent-3.5.0.21-3.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/lib64/nx/bin/nxagent -persistent -D -name 'NX - SVjllopis@linux-devel.sv.grupoesoc.es:2001 - Linux devel (GPL Edition)' -option /home/SV/jllopis/.nx/C-linux-devel.sv.grupoesoc.es-2001-DCA7A6006BFB304D6B058D2B32EF840D/options -nolisten tcp :2001
crash_function: XPeekEvent
executable:     /usr/lib64/nx/bin/nxagent
kernel:         3.12.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            16777216

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 XPeekEvent at PeekEvent.c:49
 #1 nxagentWaitEvents at Events.c:4522
 #2 nxagentSwitchAllScreens at Window.c:836
 #3 nxagentDispatchEvents at Events.c:2165
 #4 nxagentWakeupHandler at Handlers.c:631
 #5 WakeupHandler at dixutils.c:472
 #6 WaitForSomething at WaitFor.c:389
 #7 Dispatch at X/NXdispatch.c:618

Comment 1 Yajo 2014-01-16 08:31:28 UTC
Created attachment 850921 [details]
File: backtrace

Comment 2 Yajo 2014-01-16 08:31:30 UTC
Created attachment 850922 [details]
File: cgroup

Comment 3 Yajo 2014-01-16 08:31:34 UTC
Created attachment 850923 [details]
File: core_backtrace

Comment 4 Yajo 2014-01-16 08:31:36 UTC
Created attachment 850924 [details]
File: dso_list

Comment 5 Yajo 2014-01-16 08:31:38 UTC
Created attachment 850925 [details]
File: environ

Comment 6 Yajo 2014-01-16 08:31:41 UTC
Created attachment 850926 [details]
File: exploitable

Comment 7 Yajo 2014-01-16 08:31:43 UTC
Created attachment 850927 [details]
File: limits

Comment 8 Yajo 2014-01-16 08:31:45 UTC
Created attachment 850928 [details]
File: maps

Comment 9 Yajo 2014-01-16 08:31:47 UTC
Created attachment 850929 [details]
File: open_fds

Comment 10 Yajo 2014-01-16 08:31:49 UTC
Created attachment 850930 [details]
File: proc_pid_status

Comment 11 Yajo 2014-01-16 08:31:52 UTC
Created attachment 850931 [details]
File: var_log_messages

Comment 12 Orion Poplawski 2014-06-26 23:08:18 UTC
Is this still reproducible?  Might need to attach to nxagent with gdb to inspect the dpy and event variables.

Comment 13 Yajo 2014-06-29 14:02:35 UTC
I have reproduced it. However, ABRT did not complain this time.

Comment 14 Fedora End Of Life 2015-01-09 22:23:43 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-02-18 11:01:52 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.